SchemaChangeEvent
Keywords: uk.ac.ic.doc.automed.reps.SchemaChangeEvent class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.reps
Class SchemaChangeEvent

    java.lang.Object
      uk.ac.ic.doc.automed.reps.SchemaChangeEvent

    public class SchemaChangeEvent

extends java.lang.Object

Field Summary
`static int` | `OBJECT_ADDED`
`static int` | `OBJECT_CHANGED`
`static int` | `OBJECT_REMOVED`
`static int` | `SCHEMA_ADDED`
`static int` | `SCHEMA_CHANGED`
`static int` | `SCHEMA_REMOVED`
`static int` | `TRANSFORMATION_ADDED`
`static int` | `TRANSFORMATION_REMOVED`

Constructor Summary
`SchemaChangeEvent(int type, Positionable delta)`

Method Summary
`java.lang.Object` | `getDelta()`
`int` | `getType()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OBJECT_ADDED

    public static final int OBJECT_ADDED

See Also:
  Constant Field Values

### OBJECT_REMOVED

    public static final int OBJECT_REMOVED

See Also:
  Constant Field Values

### TRANSFORMATION_ADDED

    public static final int TRANSFORMATION_ADDED

See Also:
  Constant Field Values

### TRANSFORMATION_REMOVED

    public static final int TRANSFORMATION_REMOVED

See Also:
  Constant Field Values

### SCHEMA_ADDED

    public static final int SCHEMA_ADDED

See Also:
  Constant Field Values

### SCHEMA_REMOVED

    public static final int SCHEMA_REMOVED

See Also:
  Constant Field Values

### OBJECT_CHANGED

    public static final int OBJECT_CHANGED

See Also:
  Constant Field Values

### SCHEMA_CHANGED

    public static final int SCHEMA_CHANGED

See Also:
  Constant Field Values

Constructor Detail

### SchemaChangeEvent

    public SchemaChangeEvent(int type,
                             Positionable delta)
                      throws InconsistentException

Throws:
  `InconsistentException`

Method Detail

### getType

    public int getType()

### getDelta

    public java.lang.Object getDelta()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD